hc-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ol...@apache.org
Subject svn commit: r1100609 - /httpcomponents/httpcore/trunk/httpcore/pom.xml
Date Sat, 07 May 2011 19:58:59 GMT
Author: olegk
Date: Sat May  7 19:58:59 2011
New Revision: 1100609

URL: http://svn.apache.org/viewvc?rev=1100609&view=rev
Log:
Minimal JRE level upgraded to 1.5

Modified:
    httpcomponents/httpcore/trunk/httpcore/pom.xml

Modified: httpcomponents/httpcore/trunk/httpcore/pom.xml
URL: http://svn.apache.org/viewvc/httpcomponents/httpcore/trunk/httpcore/pom.xml?rev=1100609&r1=1100608&r2=1100609&view=diff
==============================================================================
--- httpcomponents/httpcore/trunk/httpcore/pom.xml (original)
+++ httpcomponents/httpcore/trunk/httpcore/pom.xml Sat May  7 19:58:59 2011
@@ -44,8 +44,8 @@
   <properties>
     <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
     <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
-    <maven.compile.source>1.3</maven.compile.source>
-    <maven.compile.target>1.3</maven.compile.target>
+    <maven.compile.source>1.5</maven.compile.source>
+    <maven.compile.target>1.5</maven.compile.target>
     <maven.compile.optimize>true</maven.compile.optimize>
     <maven.compile.deprecation>true</maven.compile.deprecation>
     <!-- default compiler and surefire plugin settings for "java" profiles -->
@@ -140,7 +140,7 @@
         <artifactId>maven-clover2-plugin</artifactId>
         <version>${clover.version}</version>
         <configuration>
-          <jdk>1.4</jdk>
+          <jdk>1.5</jdk>
         </configuration>
       </plugin>
 
@@ -163,49 +163,4 @@
     </plugins>
   </reporting>
 
-  <profiles>
-    <!--
-       Profile for running the build using JDK 1.3
-       (JAVA_1_3_HOME needs to be defined, e.g. in settings.xml or an environment variable)
-      -->
-    <profile>
-      <id>java-1.3</id>
-      <properties>
-        <httpcore.compiler.fork>true</httpcore.compiler.fork>
-        <httpcore.compiler.compilerVersion>1.3</httpcore.compiler.compilerVersion>
-        <httpcore.compiler.javac>${JAVA_1_3_HOME}/bin/javac</httpcore.compiler.javac>
-        <httpcore.surefire.java>${JAVA_1_3_HOME}/bin/java</httpcore.surefire.java>
-        <!-- Later versions of JUnit don't run with Java 1.3 -->
-        <junit.version>3.8.1</junit.version>
-      </properties>
-    </profile>
-    <!--
-       Profile for running the build using JDK 1.4
-       (JAVA_1_4_HOME needs to be defined, e.g. in settings.xml or an environment variable)
-      -->
-    <profile>
-      <id>java-1.4</id>
-      <properties>
-        <httpcore.compiler.fork>true</httpcore.compiler.fork>
-        <httpcore.compiler.compilerVersion>1.4</httpcore.compiler.compilerVersion>
-        <httpcore.compiler.javac>${JAVA_1_4_HOME}/bin/javac</httpcore.compiler.javac>
-        <httpcore.surefire.java>${JAVA_1_4_HOME}/bin/java</httpcore.surefire.java>
-        <!-- Later versions of JUnit don't run with Java 1.4 -->
-        <junit.version>3.8.2</junit.version>
-      </properties>
-    </profile>
-    <!--
-       Profile to ensure correct version of JUnit is used if the default Java is 1.4
-       Maven2 requires 1.4+ so no need for equivalent 1.3 version.
-      -->
-    <profile>
-      <activation>
-        <jdk>1.4</jdk>
-      </activation>
-      <properties>
-        <!-- Later versions of JUnit don't run with Java 1.4 -->
-        <junit.version>3.8.2</junit.version>
-      </properties>
-    </profile>
-  </profiles>
 </project>



Mime
View raw message